# Uses of Interface
org.eclipse.emf.compare.rcp.internal.extension.IItemDescriptor

Packages that use IItemDescriptor
Package
Description
org.eclipse.emf.compare.rcp.internal.extension
org.eclipse.emf.compare.rcp.internal.extension.impl
org.eclipse.emf.compare.rcp.internal.match
org.eclipse.emf.compare.rcp.ui.internal.preferences
org.eclipse.emf.compare.rcp.ui.internal.preferences.impl
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl

## Uses of IItemDescriptor in org.eclipse.emf.compare.rcp.internal.extension

Methods in org.eclipse.emf.compare.rcp.internal.extension that return IItemDescriptor
Modifier and Type
Method
Description
`IItemDescriptor<T>`
IItemRegistry.`add(IItemDescriptor<T> itemDescriptor)`
Add an item descriptor to the registry.
`IItemDescriptor<T>`
IItemRegistry.`getHighestRankingDescriptor()`
Get the descriptor with the highest ranking in the registry.
`IItemDescriptor<T>`
IItemRegistry.`getItemDescriptor(String id)`
Return the item descriptor.
`IItemDescriptor<T>`
IItemRegistry.`remove(String id)`
Remove an `IItemDescriptor` using its key.
Methods in org.eclipse.emf.compare.rcp.internal.extension that return types with arguments of type IItemDescriptor
Modifier and Type
Method
Description
`List<IItemDescriptor<T>>`
IItemRegistry.`getItemDescriptors()`
Get a list of all `IItemDescriptor` from the registry.
Methods in org.eclipse.emf.compare.rcp.internal.extension with parameters of type IItemDescriptor
Modifier and Type
Method
Description
`IItemDescriptor<T>`
IItemRegistry.`add(IItemDescriptor<T> itemDescriptor)`
Add an item descriptor to the registry.

## Uses of IItemDescriptor in org.eclipse.emf.compare.rcp.internal.extension.impl

Classes in org.eclipse.emf.compare.rcp.internal.extension.impl that implement IItemDescriptor
Modifier and Type
Class
Description
`class`
`AbstractItemDescriptor<T>`
Abstract class for an `IItemDescriptor`.
`class`
`LazyItemDescriptor<T>`
Descriptor for an item.
`class`
`WrapperItemDescriptor<T>`
A `IItemDescriptor` that wrap one instance of an item and return the same item each time.
Methods in org.eclipse.emf.compare.rcp.internal.extension.impl that return IItemDescriptor
Modifier and Type
Method
Description
`IItemDescriptor<T>`
ItemRegistry.`add(IItemDescriptor<T> itemDescriptor)`
Add an item descriptor to the registry.
`static <T> IItemDescriptor<T>`
ItemUtil.`getDefaultItemDescriptor(IItemRegistry<T> registry, String preferenceKey)`
Get an item descriptor using the preferences.
`IItemDescriptor<T>`
ItemRegistry.`getHighestRankingDescriptor()`
Get the descriptor with the highest ranking in the registry.
`IItemDescriptor<T>`
ItemRegistry.`getItemDescriptor(String qualifiedClassName)`
Return the item descriptor.
`IItemDescriptor<T>`
ItemRegistry.`remove(String className)`
Remove an `IItemDescriptor` using its key.
Methods in org.eclipse.emf.compare.rcp.internal.extension.impl that return types with arguments of type IItemDescriptor
Modifier and Type
Method
Description
`static <T> Set<IItemDescriptor<T>>`
ItemUtil.`getActiveItems(IItemRegistry<T> registry, String qualifier, String disabledItemPreferenceKey)`
Get all active item from a registry.
`List<IItemDescriptor<T>>`
ItemRegistry.`getItemDescriptors()`
Get a list of all `IItemDescriptor` from the registry.
`static <T> com.google.common.base.Function<IItemDescriptor<T>,T>`
AbstractItemDescriptor.`getItemFunction()`
get a `Function` to transform a descriptor into a item.
`static <T> List<IItemDescriptor<T>>`
ItemUtil.`getItemsDescriptor(IItemRegistry<T> registry, String qualifier, String preferenceKey)`
Get a list of `IItemDescriptor` from preferences.
Methods in org.eclipse.emf.compare.rcp.internal.extension.impl with parameters of type IItemDescriptor
Modifier and Type
Method
Description
`IItemDescriptor<T>`
ItemRegistry.`add(IItemDescriptor<T> itemDescriptor)`
Add an item descriptor to the registry.
`int`
AbstractItemDescriptor.`compareTo(IItemDescriptor<T> o)`

## Uses of IItemDescriptor in org.eclipse.emf.compare.rcp.internal.match

Classes in org.eclipse.emf.compare.rcp.internal.match that implement IItemDescriptor
Modifier and Type
Class
Description
`class`
`MatchEngineFactoryDescriptor`
Descriptor for `IMatchEngine.Factory`.

## Uses of IItemDescriptor in org.eclipse.emf.compare.rcp.ui.internal.preferences

Methods in org.eclipse.emf.compare.rcp.ui.internal.preferences that return types with arguments of type IItemDescriptor
Modifier and Type
Method
Description
`Set<IItemDescriptor<T>>`
DataHolder.`getData()`
Get data.
Method parameters in org.eclipse.emf.compare.rcp.ui.internal.preferences with type arguments of type IItemDescriptor
Modifier and Type
Method
Description
`void`
DataHolder.`setData(Set<IItemDescriptor<T>> currentSelection)`
Set data.

## Uses of IItemDescriptor in org.eclipse.emf.compare.rcp.ui.internal.preferences.impl

Methods in org.eclipse.emf.compare.rcp.ui.internal.preferences.impl that return types with arguments of type IItemDescriptor
Modifier and Type
Method
Description
`List<IItemDescriptor<IDifferenceGroupProvider.Descriptor>>`
GroupsInteractiveContent.`getOrderedItems()`
Gets `IItemDescriptor` of {IDifferenceGroupProvider.
Methods in org.eclipse.emf.compare.rcp.ui.internal.preferences.impl with parameters of type IItemDescriptor
Modifier and Type
Method
Description
`void`
InteractiveUIContent.`checkElement(IItemDescriptor<?> descriptor)`
Checks one element in the viewer.
`<T> void`
InteractiveUIContent.`checkElements(IItemDescriptor<T>[] descriptors)`
Checks multiple element in the viewer.
`void`
GroupsInteractiveContent.`select(IItemDescriptor<IDifferenceGroupProvider.Descriptor> descriptor)`
Handles a selection in the viewer.
`<T> void`
InteractiveUIContent.`select(IItemDescriptor<T> descriptor)`
Handles a selection in the viewer.
`InteractiveUIContent.InteractiveUIBuilder<T>`
InteractiveUIContent.InteractiveUIBuilder.`setDefaultSelection(IItemDescriptor<T> newDefaultSelection)`
Set the default element to select.
Method parameters in org.eclipse.emf.compare.rcp.ui.internal.preferences.impl with type arguments of type IItemDescriptor
Modifier and Type
Method
Description
`<T> void`
InteractiveUIContent.`checkElements(Collection<IItemDescriptor<T>> descriptors)`
Checks multiple element in the viewer.
`<T> void`
InteractiveUIContent.`selectAll(Collection<IItemDescriptor<T>> descriptors)`
Handles a selection in the viewer.
`InteractiveUIContent.InteractiveUIBuilder<T>`
InteractiveUIContent.InteractiveUIBuilder.`setDefaultCheck(Set<IItemDescriptor<T>> newDefaultCheck)`
Sets the default element to check.
`void`
GroupsInteractiveContent.`setViewerInput(List<IItemDescriptor<IDifferenceGroupProvider.Descriptor>> input)`
Sets the input for interactive content.

## Uses of IItemDescriptor in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl

Classes in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl that implement IItemDescriptor
Modifier and Type
Class
Description
`class`
`DifferenceGroupDescriptorWrapper`
Implementation of `IDifferenceGroupProvider.Descriptor`.
Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl that return types with arguments of type IItemDescriptor
Modifier and Type
Method
Description
`List<IItemDescriptor<IDifferenceGroupProvider.Descriptor>>`
DifferenceGroupManager.`getCurrentGroupRanking(boolean isThreeWay)`
Gets the current group order.
`List<IItemDescriptor<IDifferenceGroupProvider.Descriptor>>`
DifferenceGroupManager.`getDefaultRankingConfiguration(boolean isThreeWay)`
Gets the default groups order.
Method parameters in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl with type arguments of type IItemDescriptor
Modifier and Type
Method
Description
`void`
DifferenceGroupManager.`setCurrentGroupRanking(List<IItemDescriptor<IDifferenceGroupProvider.Descriptor>> descriptors, boolean isThreeWay)`
Sets the ranking of Difference group provider.